/**************************************************************************//**
* @file HAL_device.h
* @brief CMSIS Cortex-M Peripheral Access Layer for MindMotion
*        microcontroller devices
*
* This is a convenience header file for defining the part number on the
* build command line, instead of specifying the part specific header file.
*
* Example: Add "-DMM32P0xx" to your build options, to define part
*          Add "#include "HAL_device.h" to your source files
*
*
* @version 1.0.0
*
*
*****************************************************************************/

#ifndef __HAL_device_H
#define __HAL_device_H


#if defined(MM32P021SE)
#include "MM32P0xx.h"
#elif defined(MM32P021SR)
#include "MM32P0xx.h"
#elif defined(MM32P021MN)
#include "MM32P0xx.h"
#else
#error "HAL_device.h: PART NUMBER undefined"
#endif
#endif /* __HAL_device_H */
/*-------------------------(C) COPYRIGHT MindMotion ----------------------*/
